/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.stringconverter.message;

/**
 * blancoStringConverterが利用するメッセージを蓄えます。
 */
public class BlancoStringConverterMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoStringConverterMessageResourceBundle fBundle = new BlancoStringConverterMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoStringConverter]、キー[MBSCI001]の文字列を取得します。
     *
     * No.2:
     * 文字列[文字列変換定義ID[{0}]のパッケージ名が指定されていません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbsci001(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsci001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSCI001] " + fBundle.getMbsci001(arg0);
    }

    /**
     * メッセージ定義ID[BlancoStringConverter]、キー[MBSCI002]の文字列を取得します。
     *
     * No.3:
     * 文字列[サポートしない出力プログラミング言語処理系[{0}]が指定されました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbsci002(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsci002]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSCI002] " + fBundle.getMbsci002(arg0);
    }

    /**
     * メッセージ定義ID[BlancoStringConverter]、キー[MBSCI003]の文字列を取得します。
     *
     * No.4:
     * 文字列[文字列変換定義ID[{0}]において、変換元文字列[{1}]が2回以上あらわれました。同じ値は2回以上指定できません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbsci003(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsci003]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbsci003]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSCI003] " + fBundle.getMbsci003(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoStringConverter]、キー[MBSCA001]の文字列を取得します。
     *
     * No.6:
     * 文字列[メタディレクトリ[{0}]が存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbsca001(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbsca001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBSCA001] " + fBundle.getMbsca001(arg0);
    }
}
